import * as WebSocket from 'ws';
import ClientBase from '../clientBase';
import ClientManager from '../../clientManager';

var logger = require('../../logger');

class MHSClient extends ClientBase {
  constructor(data: any, ws: WebSocket, clientManager: ClientManager) {
    super(data, ws, clientManager);
    logger.accessLog.info('MHS Client Created', {data: data});
  }
};

module.exports = MHSClient;
export default MHSClient;

